CREATE PROCEDURE [dbo].[GetEmergencyPartDescription]
	@i_PART_NO VARCHAR(30),
	@i_KANBAN_NO VARCHAR(30),
	@i_SUPPLIER_CD VARCHAR(10),
	@i_SUPPLIER_PLANT VARCHAR(5),
	@i_DOCK_CD VARCHAR(5)
AS
BEGIN
	DECLARE @@p_PART_NO VARCHAR(30) = @i_PART_NO,
			@@p_SUPPLIER_CD VARCHAR(10) = @i_SUPPLIER_CD,
			@@p_SUPPLIER_PLANT VARCHAR(5) = @i_SUPPLIER_PLANT,
			@@p_DOCK_CD VARCHAR(5) = @i_DOCK_CD,
			@@p_KANBAN_NO VARCHAR(30) = @i_KANBAN_NO

	DECLARE 
		@@BUILD_OUT_FLAG CHAR(1),
		@@PART_NO VARCHAR(12),
		@@PART_NAME VARCHAR(40),
		@@KANBAN_NO CHAR(4),
		@@PACK_PER_CONTAINER INT,
		@@BO INT

	select 
		@@PART_NO=I.PART_NO,
		@@PART_NAME=I.PART_NAME,
		@@KANBAN_NO=I.KANBAN_NO,
		@@PACK_PER_CONTAINER=I.KANBAN_QTY,
		@@BO = CASE WHEN ISNULL(B.PART_NO, '') = '' THEN 0 ELSE 1 END
	from TB_M_PART_INFO I
	LEFT JOIN TB_M_PART_BO B
	ON B.PART_NO = I.PART_NO
	   AND B.SUPPLIER_CD = I.SUPPLIER_CD
	   AND B.SUPPLIER_PLANT = I.SUPPLIER_PLANT
	   AND B.KANBAN_NO = I.KANBAN_NO
	   AND ISNULL(B.INACTIVE_FLAG, '0') = '0'
	Where 
		((I.PART_NO = REPLACE(@@p_PART_NO,'-','') AND ISNULL(REPLACE(@@p_PART_NO,'-',''), '') <> '') OR (ISNULL(REPLACE(@@p_PART_NO,'-',''), '') = '')) AND
		((I.KANBAN_NO = @@p_KANBAN_NO AND ISNULL(@@p_KANBAN_NO, '') <> '') OR (ISNULL(@@p_KANBAN_NO, '') = '')) AND
		I.SUPPLIER_CD = REPLACE(@@p_SUPPLIER_CD,' ','') AND
		I.SUPPLIER_PLANT = REPLACE(@@p_SUPPLIER_PLANT,' ','') AND
		I.DOCK_CD = @@p_DOCK_CD 

	SELECT @@BUILD_OUT_FLAG=MAX(ISNULL(p.BUILD_OUT_FLAG,0))
	FROM TB_R_DAILY_ORDER_PART p
	INNER JOIN TB_R_DAILY_ORDER_MANIFEST m on m.MANIFEST_NO=p.MANIFEST_NO
	where p.PART_NO = @@PART_NO AND
		p.DOCK_CD = @@p_DOCK_CD AND
		m.SUPPLIER_CD = REPLACE(@@p_SUPPLIER_CD,' ','') AND
		p.SUPPLIER_PLANT = REPLACE(@@p_SUPPLIER_PLANT,' ','')

	SELECT
		PART_NO=@@PART_NO,
		PART_NAME=@@PART_NAME,
		KANBAN_NO=@@KANBAN_NO,
		PACK_PER_CONTAINER=@@PACK_PER_CONTAINER,
		BUILD_OUT_FLAG=ISNULL(@@BUILD_OUT_FLAG,0),
		BO_PART = @@BO
END

